Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkAxes Class Reference

`#include <vtkAxes.h>`

Inheritance diagram for vtkAxes:

[legend]
Collaboration diagram for vtkAxes:

[legend]
List of all members.

## Detailed Description

create an x-y-z axes

Date:
  2002/01/22 15:29:06

Revision:
  1.39

vtkAxes creates three lines that form an x-y-z axes. The origin of the axes is user specified (0,0,0 is default), and the size is specified with a scale factor. Three scalar values are generated for the three lines and can be used (via color map) to indicate a particular coordinate axis.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (53%)
  - Law, Charles (23%)
  - Martin, Ken (8%)
  - Geveci, Berk (6%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkAxes.h)`
  - .`cxx` (`/Graphics/vtkAxes.cxx)`

Examples:
  vtkAxes (Examples)

Tests:
  vtkAxes (Tests)

Definition at line 52 of file vtkAxes.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetOrigin (float, float, float)
virtual void | SetOrigin (float[3])
virtual float * | GetOrigin ()
virtual void | GetOrigin (float data[3])
virtual void | SetScaleFactor (float)
virtual float | GetScaleFactor ()
virtual void | SetSymmetric (int)
virtual int | GetSymmetric ()
virtual void | SymmetricOn ()
virtual void | SymmetricOff ()
virtual void | SetComputeNormals (int)
virtual int | GetComputeNormals ()
virtual void | ComputeNormalsOn ()
virtual void | ComputeNormalsOff ()
## Static Public Methods
vtkAxes * | New ()
int | IsTypeOf (const char *type)
vtkAxes * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkAxes ()
| ~vtkAxes ()
void | Execute ()
int | ComputeDivisionExtents (vtkDataObject *output, int idx, int numDivisions)
## Protected Attributes
float | Origin [3]
float | ScaleFactor
int | Symmetric
int | ComputeNormals

## Member Typedef Documentation

typedef vtkPolyDataSource vtkAxes::Superclass

| Reimplemented from vtkPolyDataSource. Definition at line 57 of file vtkAxes.h.

## Constructor & Destructor Documentation

vtkAxes::vtkAxes | ( |  | ) | `[protected]`

vtkAxes::~vtkAxes | ( |  | ) | `[inline, protected]`

| Definition at line 88 of file vtkAxes.h.

## Member Function Documentation

vtkAxes* vtkAxes::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkAxes::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource.

int vtkAxes::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

virtual int vtkAxes::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

vtkAxes* vtkAxes::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource.

void vtkAxes::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource.

virtual void vtkAxes::SetOrigin | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set the origin of the axes.

virtual void vtkAxes::SetOrigin | ( | float | [3] | ) | `[virtual]`

| Set the origin of the axes.

virtual float* vtkAxes::GetOrigin | ( |  | ) | `[virtual]`

| Set the origin of the axes.

virtual void vtkAxes::GetOrigin | ( | float | data[3] | ) | `[virtual]`

| Set the origin of the axes.

virtual void vtkAxes::SetScaleFactor | ( | float |  | ) | `[virtual]`

| Set the scale factor of the axes. Used to control size.

virtual float vtkAxes::GetScaleFactor | ( |  | ) | `[virtual]`

| Set the scale factor of the axes. Used to control size.

virtual void vtkAxes::SetSymmetric | ( | int |  | ) | `[virtual]`

| If Symetric is on, the the axis continue to negative values.

virtual int vtkAxes::GetSymmetric | ( |  | ) | `[virtual]`

| If Symetric is on, the the axis continue to negative values.

virtual void vtkAxes::SymmetricOn | ( |  | ) | `[virtual]`

| If Symetric is on, the the axis continue to negative values.

virtual void vtkAxes::SymmetricOff | ( |  | ) | `[virtual]`

| If Symetric is on, the the axis continue to negative values.

virtual void vtkAxes::SetComputeNormals | ( | int |  | ) | `[virtual]`

| Option for computing normals. By default they are computed.

virtual int vtkAxes::GetComputeNormals | ( |  | ) | `[virtual]`

| Option for computing normals. By default they are computed.

virtual void vtkAxes::ComputeNormalsOn | ( |  | ) | `[virtual]`

| Option for computing normals. By default they are computed.

virtual void vtkAxes::ComputeNormalsOff | ( |  | ) | `[virtual]`

| Option for computing normals. By default they are computed.

void vtkAxes::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

int vtkAxes::ComputeDivisionExtents | ( | vtkDataObject * | output,
|  | int | idx,
|  | int | numDivisions
| ) | `[protected]`

## Member Data Documentation

float vtkAxes::Origin[3]`[protected]`

| Definition at line 95 of file vtkAxes.h.

float vtkAxes::ScaleFactor`[protected]`

| Definition at line 96 of file vtkAxes.h.

int vtkAxes::Symmetric`[protected]`

| Definition at line 98 of file vtkAxes.h.

int vtkAxes::ComputeNormals`[protected]`

| Definition at line 99 of file vtkAxes.h.

The documentation for this class was generated from the following file:

- Graphics/vtkAxes.h